#include <iostream>
#include <errno.h>
#include <wiringPiI2C.h>
#include <unistd.h>
#include <iomanip>
#include <stdint.h>
#include <stdio.h>

using namespace std;

int main()
{
	int fd;
	
	uint8_t tmp;
	uint16_t measureValueRAW = 0;
	
	double measureValue = 0.0;
	
	fd = wiringPiI2CSetup(0x4D);
	
	cout << "Init result: " << fd << endl;
	
	while(1)
	{
		measureValueRAW = wiringPiI2CReadReg16(fd, 0x4B);
		
		printf("%.4X >> RAW\n", measureValueRAW);
		
		tmp = measureValueRAW;
		
		measureValueRAW = (measureValueRAW >> 8) | (tmp << 8);
		
		measureValueRAW = (measureValueRAW >> 2);
		measureValueRAW &= 0x3FF;
		
		measureValue = (measureValueRAW / 1024.0) * 3.3;
		
		printf("%.2X >> %Lf \n", measureValueRAW, measureValue);
		
		usleep(1000000);
	}
	
	return 0;
}